- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Member Functions | List of all members
pdftron::PDF::Convert Class Reference

`#include <Convert.h>`

## Public Types
enum | FlattenThresholdFlag { e_very_strict, e_strict, e_default, e_keep_most, e_keep_all }
enum | FlattenFlag { e_off, e_simple, e_fast, e_high_quality }
typedef pdftron::PDF::XPSOutputOptions | XPSOutputOptions
typedef pdftron::PDF::XODOutputOptions | XODOutputOptions
typedef pdftron::PDF::HTMLOutputOptions | HTMLOutputOptions
typedef pdftron::PDF::WordOutputOptions | WordOutputOptions
typedef pdftron::PDF::ExcelOutputOptions | ExcelOutputOptions
typedef pdftron::PDF::PowerPointOutputOptions | PowerPointOutputOptions
typedef pdftron::PDF::EPUBOutputOptions | EPUBOutputOptions
typedef pdftron::PDF::SVGOutputOptions | SVGOutputOptions
typedef pdftron::PDF::TiffOutputOptions | TiffOutputOptions
typedef pdftron::PDF::Printer | Printer

## Static Public Member Functions
static void | FromXps (PDFDoc &in_pdfdoc, const UString &in_filename)
static void | FromXps (PDFDoc &in_pdfdoc, const char *buf, size_t buf_sz)
static void | FromEmf (PDFDoc &in_pdfdoc, const UString &in_filename)
static void | FromText (PDFDoc &in_pdfdoc, const UString &in_filename, const SDF::Obj &in_options=SDF::Obj())
static void | ToEmf (PDFDoc &in_pdfdoc, const UString &in_filename)
static void | ToEmf (Page &in_page, const UString &in_filename)
static void | ToSvg (PDFDoc &in_pdfdoc, const UString &in_filename, const SVGOutputOptions &in_options)
static void | ToSvg (PDFDoc &in_pdfdoc, const UString &in_filename)
static void | ToSvg (Page &in_page, const UString &in_filename, const SVGOutputOptions &in_options)
static void | ToSvg (Page &in_page, const UString &in_filename)
static void | ToXps (PDFDoc &in_pdfdoc, const UString &in_filename, const XPSOutputOptions &options)
static void | ToXps (PDFDoc &in_pdfdoc, const UString &in_filename)
static void | ToXps (const UString &in_inputFilename, const UString &in_outputFilename, const XPSOutputOptions &options)
static void | ToXps (const UString &in_inputFilename, const UString &in_outputFilename)
static void | ToXod (const UString &in_filename, const UString &out_filename, const XODOutputOptions &options)
static void | ToXod (const UString &in_filename, const UString &out_filename)
static void | ToXod (PDFDoc &in_pdfdoc, const UString &out_filename, const XODOutputOptions &options)
static void | ToXod (PDFDoc &in_pdfdoc, const UString &out_filename)
static void | ToHtml (const UString &in_filename, const UString &out_path, const HTMLOutputOptions &options)
static void | ToHtml (const UString &in_filename, const UString &out_path)
static UString | PageToHtml (const Page &page)
static UString | PageToHtmlZoned (const Page &page, const UString &json_zones)
static void | ToHtml (PDFDoc &in_pdfdoc, const UString &out_path, const HTMLOutputOptions &options)
static void | ToHtml (PDFDoc &in_pdfdoc, const UString &out_path)
static void | ToWord (const UString &in_filename, const UString &out_path, const WordOutputOptions &options)
static void | ToWord (const UString &in_filename, const UString &out_path)
static void | ToWord (PDFDoc &in_pdfdoc, Filters::Filter &out_filter)
static void | ToWord (PDFDoc &in_pdfdoc, Filters::Filter &out_filter, const WordOutputOptions &options)
static void | ToWord (PDFDoc &in_pdfdoc, const UString &out_path, const WordOutputOptions &options)
static void | ToWord (PDFDoc &in_pdfdoc, const UString &out_path)
static void | ToExcel (const UString &in_filename, const UString &out_path, const ExcelOutputOptions &options)
static void | ToExcel (const UString &in_filename, const UString &out_path)
static void | ToExcel (PDFDoc &in_pdfdoc, const UString &out_path, const ExcelOutputOptions &options)
static void | ToExcel (PDFDoc &in_pdfdoc, const UString &out_path)
static void | ToExcel (PDFDoc &in_pdfdoc, Filters::Filter &out_filter)
static void | ToExcel (PDFDoc &in_pdfdoc, Filters::Filter &out_filter, const ExcelOutputOptions &options)
static void | ToPowerPoint (const UString &in_filename, const UString &out_path, const PowerPointOutputOptions &options)
static void | ToPowerPoint (const UString &in_filename, const UString &out_path)
static void | ToPowerPoint (PDFDoc &in_pdfdoc, const UString &out_path, const PowerPointOutputOptions &options)
static void | ToPowerPoint (PDFDoc &in_pdfdoc, const UString &out_path)
static void | ToPowerPoint (PDFDoc &in_pdfdoc, Filters::Filter &out_filter)
static void | ToPowerPoint (PDFDoc &in_pdfdoc, Filters::Filter &out_filter, const PowerPointOutputOptions &options)
static void | ToEpub (const UString &in_filename, const UString &out_path, const HTMLOutputOptions &html_options, const EPUBOutputOptions &epub_options)
static void | ToEpub (const UString &in_filename, const UString &out_path, const HTMLOutputOptions &html_options)
static void | ToEpub (const UString &in_filename, const UString &out_path)
static void | ToEpub (PDFDoc &in_pdfdoc, const UString &out_path, const HTMLOutputOptions &html_options, const EPUBOutputOptions &epub_options)
static void | ToEpub (PDFDoc &in_pdfdoc, const UString &out_path, const HTMLOutputOptions &html_options)
static void | ToEpub (PDFDoc &in_pdfdoc, const UString &out_path)
static void | ToTiff (const UString &in_filename, const UString &out_path, const TiffOutputOptions &options)
static void | ToTiff (const UString &in_filename, const UString &out_path)
static void | ToTiff (PDFDoc &in_pdfdoc, const UString &out_path, const TiffOutputOptions &options)
static void | ToTiff (PDFDoc &in_pdfdoc, const UString &out_path)
static void | ToTiff (const UString &in_filename, Filters::Filter &out_filter, const TiffOutputOptions &options)
static void | ToTiff (const UString &in_filename, Filters::Filter &out_filter)
static void | ToTiff (PDFDoc &in_pdfdoc, Filters::Filter &out_filter, const TiffOutputOptions &options)
static void | ToTiff (PDFDoc &in_pdfdoc, Filters::Filter &out_filter)
static Filters::Filter | ToXod (const UString &in_filename, const XODOutputOptions &options)
static Filters::Filter | ToXod (const UString &in_filename)
static Filters::Filter | ToXod (PDFDoc &in_pdfdoc, const XODOutputOptions &options)
static Filters::Filter | ToXod (PDFDoc &in_pdfdoc)
static ConversionMonitor | ToXodWithMonitor (PDFDoc &in_pdfdoc, const XODOutputOptions &options)
static ConversionMonitor | ToXodWithMonitor (PDFDoc &in_pdfdoc)
static void | WordToPDF (PDFDoc &in_pdfdoc, const UString &in_filename, WordToPDFOptions *options)
static DocumentConversion | WordToPDFConversion (PDFDoc &in_pdfdoc, const UString &in_filename, WordToPDFOptions *options)
static void | WordToPDF (PDFDoc &in_pdfdoc, Filters::Filter in_stream, WordToPDFOptions *options)
static DocumentConversion | WordToPDFConversion (PDFDoc &in_pdfdoc, Filters::Filter in_stream, WordToPDFOptions *options)
static void | OfficeToPDF (PDFDoc &in_pdfdoc, const UString &in_filename, ConversionOptions *options)
static DocumentConversion | StreamingPDFConversion (PDFDoc &in_pdfdoc, const UString &in_filename, ConversionOptions *options)
static DocumentConversion | StreamingPDFConversion (const UString &in_filename, ConversionOptions *options)
static Reflow | CreateReflow (Page &in_page, const UString &json_zones)
static void | OfficeToPDF (PDFDoc &in_pdfdoc, Filters::Filter in_stream, ConversionOptions *options)
static DocumentConversion | StreamingPDFConversion (PDFDoc &in_pdfdoc, Filters::Filter in_stream, ConversionOptions *options)
static DocumentConversion | StreamingPDFConversion (Filters::Filter in_stream, ConversionOptions *options)
static void | ToPdf (PDFDoc &in_pdfdoc, const UString &in_filename)
static void | FromCAD (PDFDoc &in_pdfdoc, const UString &in_filename, CADConvertOptions *opts=0)
static void | FromDICOM (PDFDoc &in_pdfdoc, const UString &in_filename, AdvancedImagingConvertOptions *opts=0)
static void | FromSVG (PDFDoc &in_pdfdoc, const UString &in_filename, SVGConvertOptions *opts=0)
static void | FromTiff (PDFDoc &in_pdfdoc, Filters::Filter in_data)
static TemplateDocument | CreateOfficeTemplate (const UString &in_filename, ConversionOptions *options)
static TemplateDocument | CreateOfficeTemplate (Filters::Filter in_stream, ConversionOptions *options)
static bool | RequiresPrinter (const UString &in_filename)

## Detailed Description

Converter is a utility class used to convert documents and files to PDF. Conversion of XPS, EMF and image files to PDF documents is performed internally. Other document formats are converted via native application and printing.

* using namespace pdftron;
* using namespace PDF;
* PDFDoc pdfdoc;
*
* Convert::FromXps(pdfdoc, input_path + "simple-xps.xps" );
* Convert::FromEmf(pdfdoc, input_path + "simple-emf.emf" );
* Convert::ToPdf(pdfdoc, input_path + test docx file.docx );
*
* // Save the PDF document
* UString outputFile = output_path + "ConverterTest.pdf";
* pdfdoc.Save(outputFile, SDF::SDFDoc::e_remove_unused, NULL);
*

The PDFTron PDFNet printer needs to be installed to convert document formats. On Windows installation of printer drivers requires administrator UAC, manifests have been added to the Convert samples (C++, C# and Visual Basic).

To install the printer the process must be running as administrator. Execute:

* Convert::Printer::Install();
*

Installation can take a few seconds, so it is recommended that you install the printer once as part of your deployment process. Duplicated installations will be quick since the presence of the printer is checked before installation is attempted. The printer is a virtual XPS printer supported on Vista and Windows 7, and on Windows XP with the XPS Essentials Pack.

There is no need to uninstall the printer after conversions, it can be left installed for later access. To uninstall the printer the process must be running as administrator. Execute:

* Convert::Printer::Uninstall();
*

Definition at line 106 of file Convert.h.

## Member Typedef Documentation

typedef pdftron::PDF::EPUBOutputOptions pdftron::PDF::Convert::EPUBOutputOptions

Definition at line 115 of file Convert.h.

typedef pdftron::PDF::ExcelOutputOptions pdftron::PDF::Convert::ExcelOutputOptions

Definition at line 113 of file Convert.h.

typedef pdftron::PDF::HTMLOutputOptions pdftron::PDF::Convert::HTMLOutputOptions

Definition at line 111 of file Convert.h.

typedef pdftron::PDF::PowerPointOutputOptions pdftron::PDF::Convert::PowerPointOutputOptions

Definition at line 114 of file Convert.h.

typedef pdftron::PDF::Printer pdftron::PDF::Convert::Printer

Definition at line 118 of file Convert.h.

typedef pdftron::PDF::SVGOutputOptions pdftron::PDF::Convert::SVGOutputOptions

Definition at line 116 of file Convert.h.

typedef pdftron::PDF::TiffOutputOptions pdftron::PDF::Convert::TiffOutputOptions

Definition at line 117 of file Convert.h.

typedef pdftron::PDF::WordOutputOptions pdftron::PDF::Convert::WordOutputOptions

Definition at line 112 of file Convert.h.

typedef pdftron::PDF::XODOutputOptions pdftron::PDF::Convert::XODOutputOptions

Definition at line 110 of file Convert.h.

typedef pdftron::PDF::XPSOutputOptions pdftron::PDF::Convert::XPSOutputOptions

Definition at line 109 of file Convert.h.

## Member Enumeration Documentation

enum pdftron::PDF::Convert::FlattenFlag

Enumerator
e_off | Disable flattening and convert all content as is.
e_simple | Feature reduce PDF to a simple two layer representation consisting of a single background RGB image and a simple top text layer.
e_fast | Feature reduce PDF while trying to preserve some complex PDF features (such as vector figures, transparency, shadings, blend modes, Type3 fonts etc.) for pages that are already fast to render. This option can also result in smaller & faster files compared to e_simple, but the pages may have more complex structure.
e_high_quality | Preserve vector content where possible. In particular only feature reduce PDF files containing overprint or very complex vector content. Currently this option can only be used with XODOutputOptions.

Definition at line 133 of file Convert.h.

enum pdftron::PDF::Convert::FlattenThresholdFlag

Enumerator
e_very_strict | Render (flatten) any text that is clipped or occluded.
e_strict | Render text that are marginally clipped or occluded.
e_default | Render text that are somewhat clipped or occluded.
e_keep_most | Only render text that are seriously clipped or occluded.
e_keep_all | Only render text that are completely occluded, or used as a clipping path.

Definition at line 120 of file Convert.h.

## Member Function Documentation

static TemplateDocument pdftron::PDF::Convert::CreateOfficeTemplate | ( | const UString & | in_filename,
|  | ConversionOptions * | options
| ) |  |
| static

Create a TemplateDocument object from an office file suitable for generating any number of PDFs from supplied template data.

Template filling will be performed entirely within PDFNet, and handles incoming files in .docx, .xlsx, .pptx, .doc, .ppt, and .xls format

This method does not perform any template filling and can be expected to return quickly. To do the actual work, use the returned TemplateDocument object

See Also
  TemplateDocument

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_filename | the path to the source document.
  options | the office to pdf conversion options

Returns
  A TemplateDocument object which encapsulates this particular office template.

See Also
  ConversionOptions

static TemplateDocument pdftron::PDF::Convert::CreateOfficeTemplate | ( | Filters::Filter | in_stream,
|  | ConversionOptions * | options
| ) |  |
| static

Create a TemplateDocument object from an office file suitable for generating any number of PDFs from supplied template data.

Template filling will be performed entirely within PDFNet, and handles incoming files in .docx, .xlsx, .pptx, .doc, .ppt, and .xls format

This method does not perform any template filling and can be expected to return quickly. To do the actual work, use the returned TemplateDocument object

See Also
  TemplateDocument

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_stream | the source document data.
  options | the office to pdf conversion options

Returns
  A TemplateDocument object which encapsulates this particular office template.

See Also
  ConversionOptions

static Reflow pdftron::PDF::Convert::CreateReflow | ( | Page & | in_page,
|  | const UString & | json_zones
| ) |  |
| static

static void pdftron::PDF::Convert::FromCAD | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | CADConvertOptions * | opts = `0`
| ) |  |
| static

Convert the specified CAD file to PDF and append converted pages to the specified PDF document. This conversion requires that the optional PDFTron CAD add-on module is available. See the `CADConvertOptions` class for the available options. See also: the 'CADModule' class

Parameters

  in_pdfdoc | The PDFDoc to append to.
  in_filename | The path to the CAD document to convert. Note that, the file name should include its extension.
  opts | The options to use when converting.

static void pdftron::PDF::Convert::FromDICOM | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | AdvancedImagingConvertOptions * | opts = `0`
| ) |  |
| static

Convert the specified AdvancedImaging file to PDF and append converted pages to the specified PDF document. This conversion requires that the optional PDFTron AdvancedImaging add-on module is available. See also: the 'AdvancedImagingModule' class

Parameters

  in_pdfdoc | the PDFDoc to append to
  in_filename | the path to the CAD document to convert
  opts | The options to use when converting.

static void pdftron::PDF::Convert::FromEmf | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename
| ) |  |
| static

Convert the specified EMF to PDF and append converted pages to to the specified PDF document. EMF will be fitted to the page.

Parameters

  in_pdfdoc | the PDFDoc to append to
  in_filename | the path to the EMF document to convert

Note
  This method is available only on Windows platforms.

static void pdftron::PDF::Convert::FromSVG | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | SVGConvertOptions * | opts = `0`
| ) |  |
| static

Convert the specified SVG file to PDF and append converted pages to the specified PDF document.

Parameters

  in_pdfdoc | the PDFDoc to append to
  in_filename | the path to the CAD document to convert
  opts | The options to use when converting.

static void pdftron::PDF::Convert::FromText | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | const SDF::Obj & | in_options = `SDF::Obj()`
| ) |  |
| static

Convert the specified plain text file to PDF and append converted pages to the specified PDF document.

Parameters

  in_pdfdoc | the PDFDoc to append to
  in_filename | the path to the plain text document to convert
  in_options | the conversion options. The available options are:

Option Name | Type | Note
--- | --- | ---
BytesPerBite | Integer | In bytes. Use for streaming conversion only.
FontFace | String | Set the font face used for the conversion.
FontSize | Integer | Set the font size used for the conversion.
LineHeightMultiplier | Double | Set the line height multiplier used for the conversion.
MarginBottom | Double | In inches. Set the bottom margin of the page.
MarginLeft | Double | In inches. Set the left margin of the page.
MarginRight | Double | In inches. Set the right margin of the page.
MarginTop | Double | In inches. Set the top margin of the page.
PageHeight | Double | In inches. Set the page height.
PageWidth | Double | In inches. Set the page width.
UseSourceCodeFormatting | Boolean | Set whether to use mono font for the conversion.

static void pdftron::PDF::Convert::FromTiff | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter | in_data
| ) |  |
| static

Convert the specified TIFF filter to PDF and append converted pages to the specified PDF document.

Parameters

  in_pdfdoc | the PDFDoc to append to
  in_data | the source TIFF data.

static void pdftron::PDF::Convert::FromXps | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename
| ) |  |
| static

Convert the specified XPS document to PDF and append converted pages to the specified PDF document.

Parameters

  in_pdfdoc | the PDFDoc to append to
  in_filename | the path to the XPS document to convert

static void pdftron::PDF::Convert::FromXps | ( | PDFDoc & | in_pdfdoc,
|  | const char * | buf,
|  | size_t | buf_sz
| ) |  |
| static

Convert the specified XPS document contained in memory to PDF and append converted pages to the specified PDF document.

Parameters

  in_pdfdoc | the PDFDoc to append to
  buf | the buffer containing the xps document
  buf_sz | the size of the buffer

static void pdftron::PDF::Convert::OfficeToPDF | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | ConversionOptions * | options
| ) |  |
| static

Convert the an office document (in .docx, .xlsx, pptx, or .doc format) to pdf and append to the specified PDF document. This conversion is performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_filename | the path to the source document.
  options | the conversion options

Exceptions

  PDFNetException |

See Also
  ConversionOptions
  StreamingPDFConversion() if you would like more control over the conversion process

static void pdftron::PDF::Convert::OfficeToPDF | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter | in_stream,
|  | ConversionOptions * | options
| ) |  |
| static

Convert the an office document (in .docx, .xlsx, pptx, or .doc format) to pdf and append to the specified PDF document. This conversion is performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_stream | the source document data.
  options | the conversion options

Exceptions

  PDFNetException |

See Also
  ConversionOptions
  StreamingPDFConversion() if you would like more control over the conversion process

static UString pdftron::PDF::Convert::PageToHtml | ( | const Page & | page | ) |
| static

Convert a page to HTML and return a string of the html

Parameters

  page | the page to convert to HTML

Returns
  a string containing the page's html

static UString pdftron::PDF::Convert::PageToHtmlZoned | ( | const Page & | page,
|  | const UString & | json_zones
| ) |  |
| static

static bool pdftron::PDF::Convert::RequiresPrinter | ( | const UString & | in_filename | ) |
| static

Utility function to determine if ToPdf or ToXps will require the PDFNet printer to convert a specific external file to PDF.

Parameters

  in_filename | the path to the document to be checked

Returns
  true if ToPdf requires the printer to convert the file, false otherwise.

Note
  Current implementation looks only at the file extension not file contents. If the file extension is missing, false will be returned

static DocumentConversion pdftron::PDF::Convert::StreamingPDFConversion | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | ConversionOptions * | options
| ) |  |
| static

Create a DocumentConversion object suitable for converting a file to pdf and appending to the specified PDF document. Handles incoming files in .docx, .xlsx, .pptx, .doc, .ppt, .xls, .png, .jpg, .bmp, .gif, .jp2, .tif, .txt, .xml and .md format This conversion will be performed entirely within PDFNet, and does not rely on any external functionality.

This method allows for more control over the conversion process than the single call ToPDF() interface. It does not perform any conversion logic immediately, and can be expected to return quickly. To perform the actual conversion, use the returned DocumentConversion object.

See Also
  DocumentConversion

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_filename | the path to the source document.
  options | the conversion options

Returns
  A DocumentConversion object which encapsulates this particular conversion.

See Also
  ConversionOptions

static DocumentConversion pdftron::PDF::Convert::StreamingPDFConversion | ( | const UString & | in_filename,
|  | ConversionOptions * | options
| ) |  |
| static

Create a DocumentConversion object suitable for converting a file to pdf. Handles incoming files in .docx, .xlsx, .pptx, .doc, .ppt, .xls, .png, .jpg, .bmp, .gif, .jp2, .tif, .txt, .xml and .md format This conversion will be performed entirely within PDFNet, and does not rely on any external functionality.

This method allows for more control over the conversion process than the single call ToPDF() interface. It does not perform any conversion logic immediately, and can be expected to return quickly. To perform the actual conversion, use the returned DocumentConversion object.

See Also
  DocumentConversion

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_filename | the path to the source document.
  options | the conversion options

Returns
  A DocumentConversion object which encapsulates this particular conversion.

See Also
  ConversionOptions

static DocumentConversion pdftron::PDF::Convert::StreamingPDFConversion | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter | in_stream,
|  | ConversionOptions * | options
| ) |  |
| static

Create a DocumentConversion object suitable for converting an office document (in .docx, .xlsx, pptx, or .doc format) to pdf and appending to the specified PDF document. This conversion will be performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

This method does not perform any conversion logic and can be expected to return quickly. To do the actual conversion, use the returned DocumentConversion object.

See Also
  DocumentConversion

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_stream | the source document data.
  options | the conversion options

Returns
  A DocumentConversion object which encapsulates this particular conversion.

See Also
  ConversionOptions

static DocumentConversion pdftron::PDF::Convert::StreamingPDFConversion | ( | Filters::Filter | in_stream,
|  | ConversionOptions * | options
| ) |  |
| static

Create a DocumentConversion object suitable for converting an office document (in .docx, .xlsx, pptx, or .doc format) to pdf and appending to the specified PDF document. This conversion will be performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

This method does not perform any conversion logic and can be expected to return quickly. To do the actual conversion, use the returned DocumentConversion object.

See Also
  DocumentConversion

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_stream | the source document data.
  options | the conversion options

Returns
  A DocumentConversion object which encapsulates this particular conversion.

See Also
  ConversionOptions

static void pdftron::PDF::Convert::ToEmf | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename
| ) |  |
| static

Convert the PDFDoc to EMF and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to EMF
  in_filename | the path to the EMF files to create, one file per page

Note
  This method is available only on Windows platforms.

static void pdftron::PDF::Convert::ToEmf | ( | Page & | in_page,
|  | const UString & | in_filename
| ) |  |
| static

Convert the Page to EMF and save to the specified path

Parameters

  in_page | the Page to convert to EMF
  in_filename | the path to the EMF file to create

Note
  This method is available only on Windows platforms.

static void pdftron::PDF::Convert::ToEpub | ( | const UString & | in_filename,
|  | const UString & | out_path,
|  | const HTMLOutputOptions & | html_options,
|  | const EPUBOutputOptions & | epub_options
| ) |  |
| static

Convert a file to EPUB format and save to the specified path

Parameters

  in_filename | the file to convert to EPUB
  out_path | the path to the EPUB file to create
  html_options | the conversion options
  epub_options | the conversion options

See Also
  HTMLOutputOptions
  EPUBOutputOptions
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToEpub | ( | const UString & | in_filename,
|  | const UString & | out_path,
|  | const HTMLOutputOptions & | html_options
| ) |  |
| static

Convert a file to EPUB format and save to the specified path

Parameters

  in_filename | the file to convert to EPUB
  out_path | the path to the EPUB file to create
  html_options | the conversion options

See Also
  HTMLOutputOptions
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToEpub | ( | const UString & | in_filename,
|  | const UString & | out_path
| ) |  |
| static

Convert a file to EPUB format and save to the specified path

Parameters

  in_filename | the file to convert to EPUB
  out_path | the path to the EPUB file to create

See Also
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToEpub | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path,
|  | const HTMLOutputOptions & | html_options,
|  | const EPUBOutputOptions & | epub_options
| ) |  |
| static

Convert the PDFDoc to EPUB format and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to EPUB
  out_path | the path to the EPUB file to create
  html_options | the conversion options
  epub_options | the conversion options

See Also
  HTMLOutputOptions
  EPUBOutputOptions
  ToPdf()

static void pdftron::PDF::Convert::ToEpub | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path,
|  | const HTMLOutputOptions & | html_options
| ) |  |
| static

Convert the PDFDoc to EPUB format and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to EPUB
  out_path | the path to the EPUB file to create
  html_options | the conversion options

See Also
  HTMLOutputOptions
  ToPdf()

static void pdftron::PDF::Convert::ToEpub | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path
| ) |  |
| static

Convert the PDFDoc to EPUB format and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to EPUB
  out_path | the path to the EPUB file to create

See Also
  ToPdf()

static void pdftron::PDF::Convert::ToExcel | ( | const UString & | in_filename,
|  | const UString & | out_path,
|  | const ExcelOutputOptions & | options
| ) |  |
| static

Convert a PDF file to Excel and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to Excel
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  ExcelOutputOptions
  StructuredOutputModule

static void pdftron::PDF::Convert::ToExcel | ( | const UString & | in_filename,
|  | const UString & | out_path
| ) |  |
| static

Convert a PDF file to Excel and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to Excel
  out_path | the path to where generated content will be stored

See Also
  StructuredOutputModule

static void pdftron::PDF::Convert::ToExcel | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path,
|  | const ExcelOutputOptions & | options
| ) |  |
| static

Convert PDF to Excel and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to Excel
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  ExcelOutputOptions
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToExcel | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path
| ) |  |
| static

Convert PDF to Excel and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to Excel
  out_path | the path to where generated content will be stored

See Also
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToExcel | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter
| ) |  |
| static

Convert PDF to Excel and write the output to the provided filter. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to Excel
  out_filter | the output filter where generated content will be stored

See Also
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToExcel | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter,
|  | const ExcelOutputOptions & | options
| ) |  |
| static

Convert PDF to Excel and write the output to the provided filter. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to Excel
  out_filter | the output filter where generated content will be stored
  options | the conversion options

See Also
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToHtml | ( | const UString & | in_filename,
|  | const UString & | out_path,
|  | const HTMLOutputOptions & | options
| ) |  |
| static

Convert a file to HTML and save to the specified path. In e_reflow_paragraphs mode, this conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to HTML
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  HTMLOutputOptions
  ToPdf()
  StructuredOutputModule

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToHtml | ( | const UString & | in_filename,
|  | const UString & | out_path
| ) |  |
| static

Convert a file to HTML and save to the specified path

Parameters

  in_filename | the file to convert to HTML
  out_path | the path to where generated content will be stored

See Also
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToHtml | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path,
|  | const HTMLOutputOptions & | options
| ) |  |
| static

Convert the PDF to HTML and save to the specified path. In e_reflow_paragraphs mode, this conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to HTML
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  HTMLOutputOptions
  ToPdf()
  StructuredOutputModule

static void pdftron::PDF::Convert::ToHtml | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path
| ) |  |
| static

Convert the PDF to HTML and save to the specified path

Parameters

  in_pdfdoc | the PDF doc to convert to HTML
  out_path | the path to where generated content will be stored

See Also
  ToPdf()

static void pdftron::PDF::Convert::ToPdf | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename
| ) |  |
| static

Convert the file or document to PDF and append to the specified PDF document

Parameters

  in_pdfdoc | the PDFDoc to append the converted document to. The PDFDoc can then be converted to XPS, EMF or SVG using the other functions in this class.
  in_filename | the path to the document to be converted to pdf

Note
  Internally formats include BMP, EMF, JPEG, PNG, TIF, XPS.
  Formats that require external applications for conversion use the Convert::Printer class and the PDFNet printer to be installed. This is only supported on Windows platforms. Document formats in this category include RTF(MS Word or Wordpad), TXT (Notepad or Wordpad), DOC and DOCX (MS Word), PPT and PPTX (MS PowerPoint), XLS and XLSX (MS Excel), OpenOffice documents, HTML and MHT (Internet Explorer), PUB (MS Publisher), MSG (MS Outlook).

static void pdftron::PDF::Convert::ToPowerPoint | ( | const UString & | in_filename,
|  | const UString & | out_path,
|  | const PowerPointOutputOptions & | options
| ) |  |
| static

Convert a PDF file to PowerPoint and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to PowerPoint
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  PowerPointOutputOptions
  StructuredOutputModule

static void pdftron::PDF::Convert::ToPowerPoint | ( | const UString & | in_filename,
|  | const UString & | out_path
| ) |  |
| static

Convert a PDF file to PowerPoint and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to PowerPoint
  out_path | the path to where generated content will be stored

See Also
  StructuredOutputModule

static void pdftron::PDF::Convert::ToPowerPoint | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path,
|  | const PowerPointOutputOptions & | options
| ) |  |
| static

Convert PDF to PowerPoint and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to PowerPoint
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  PowerPointOutputOptions
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToPowerPoint | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path
| ) |  |
| static

Convert PDF to PowerPoint and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to PowerPoint
  out_path | the path to where generated content will be stored

See Also
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToPowerPoint | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter
| ) |  |
| static

Convert PDF to PowerPoint and write to the provided filter. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to PowerPoint
  out_filter | the output filter where generated content will be stored

See Also
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToPowerPoint | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter,
|  | const PowerPointOutputOptions & | options
| ) |  |
| static

Convert PDF to PowerPoint and write to the provided filter. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to PowerPoint
  out_filter | the output filter where generated content will be stored
  options | the conversion options

See Also
  PowerPointOutputOptions
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToSvg | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | const SVGOutputOptions & | in_options
| ) |  |
| static

Convert the PDFDoc to SVG and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to SVG
  in_filename | the path to the SVG files to create, one file per page
  in_options | the conversion options

static void pdftron::PDF::Convert::ToSvg | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename
| ) |  |
| static

Convert the PDFDoc to SVG and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to SVG
  in_filename | the path to the SVG files to create, one file per page

static void pdftron::PDF::Convert::ToSvg | ( | Page & | in_page,
|  | const UString & | in_filename,
|  | const SVGOutputOptions & | in_options
| ) |  |
| static

Convert the Page to SVG and save to the specified path

Parameters

  in_page | the Page to convert to SVG
  in_filename | the path to the SVG file to create
  in_options | the conversion options

static void pdftron::PDF::Convert::ToSvg | ( | Page & | in_page,
|  | const UString & | in_filename
| ) |  |
| static

Convert the Page to SVG and save to the specified path

Parameters

  in_page | the Page to convert to SVG
  in_filename | the path to the SVG file to create

static void pdftron::PDF::Convert::ToTiff | ( | const UString & | in_filename,
|  | const UString & | out_path,
|  | const TiffOutputOptions & | options
| ) |  |
| static

Convert a file to multipage TIFF and save to the specified path

Parameters

  in_filename | the file to convert to multipage TIFF
  out_path | the path to the TIFF file to create
  options | the conversion options

See Also
  TiffOutputOptions

static void pdftron::PDF::Convert::ToTiff | ( | const UString & | in_filename,
|  | const UString & | out_path
| ) |  |
| static

Convert a file to multipage TIFF and save to the specified path

Parameters

  in_filename | the file to convert to multipage TIFF
  out_path | the path to the TIFF file to create

static void pdftron::PDF::Convert::ToTiff | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path,
|  | const TiffOutputOptions & | options
| ) |  |
| static

Convert the PDF to multipage TIFF and save to the specified path

Parameters

  in_pdfdoc | the PDF doc to convert to multipage TIFF
  out_path | the path to the TIFF file to create
  options | the conversion options

See Also
  TiffOutputOptions

static void pdftron::PDF::Convert::ToTiff | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path
| ) |  |
| static

Convert the PDF to multipage TIFF and save to the specified path

Parameters

  in_pdfdoc | the PDF doc to convert to multipage TIFF
  out_path | the path to the TIFF file to create

static void pdftron::PDF::Convert::ToTiff | ( | const UString & | in_filename,
|  | Filters::Filter & | out_filter,
|  | const TiffOutputOptions & | options
| ) |  |
| static

Convert a file to multipage TIFF and write to the provided filter

Parameters

  in_filename | the file to convert to multipage TIFF
  out_filter | the output filter where the TIFF data will be written
  options | the conversion options

See Also
  TiffOutputOptions

static void pdftron::PDF::Convert::ToTiff | ( | const UString & | in_filename,
|  | Filters::Filter & | out_filter
| ) |  |
| static

Convert a file to multipage TIFF and write to the provided filter

Parameters

  in_filename | the file to convert to multipage TIFF
  out_filter | the output filter where the TIFF data will be written

static void pdftron::PDF::Convert::ToTiff | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter,
|  | const TiffOutputOptions & | options
| ) |  |
| static

Convert the PDF to multipage TIFF and write to the provided filter

Parameters

  in_pdfdoc | the PDF doc to convert to multipage TIFF
  out_filter | the output filter where the TIFF data will be written
  options | the conversion options

See Also
  TiffOutputOptions

static void pdftron::PDF::Convert::ToTiff | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter
| ) |  |
| static

Convert the PDF to multipage TIFF and write to the provided filter

Parameters

  in_pdfdoc | the PDF doc to convert to multipage TIFF
  out_filter | the output filter where the TIFF data will be written

static void pdftron::PDF::Convert::ToWord | ( | const UString & | in_filename,
|  | const UString & | out_path,
|  | const WordOutputOptions & | options
| ) |  |
| static

Convert a PDF file to Word and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to Word
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  WordOutputOptions
  StructuredOutputModule

static void pdftron::PDF::Convert::ToWord | ( | const UString & | in_filename,
|  | const UString & | out_path
| ) |  |
| static

Convert a PDF file to Word and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to Word
  out_path | the path to where generated content will be stored

See Also
  StructuredOutputModule

static void pdftron::PDF::Convert::ToWord | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter
| ) |  |
| static

Convert a PDF file to Word and write the output to the provided filter. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_filename | the file to convert to Word
  out_filter | the output filter where generated content will be stored

See Also
  StructuredOutputModule

static void pdftron::PDF::Convert::ToWord | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter & | out_filter,
|  | const WordOutputOptions & | options
| ) |  |
| static

Convert a PDF file to Word and write the output to the provided filter. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to Word
  out_filter | the output filter where generated content will be stored
  options | the conversion options

See Also
  StructuredOutputModule

static void pdftron::PDF::Convert::ToWord | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path,
|  | const WordOutputOptions & | options
| ) |  |
| static

Convert PDF to Word and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to Word
  out_path | the path to where generated content will be stored
  options | the conversion options

See Also
  WordOutputOptions
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToWord | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_path
| ) |  |
| static

Convert PDF to Word and save the output to the specified path. This conversion requires that the optional PDFTron StructuredOutput add-on module is available.

Parameters

  in_pdfdoc | the PDF doc to convert to Word
  out_path | the path to where generated content will be stored

See Also
  StructuredOutputModule
  ToPdf()

static void pdftron::PDF::Convert::ToXod | ( | const UString & | in_filename,
|  | const UString & | out_filename,
|  | const XODOutputOptions & | options
| ) |  |
| static

Convert the input file to XOD format and save to the specified path

Parameters

  in_filename | the file to convert to XOD
  out_filename | the path to the XOD file to create
  options | the conversion options

See Also
  XODOutputOptions
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToXod | ( | const UString & | in_filename,
|  | const UString & | out_filename
| ) |  |
| static

Convert the input file to XOD format and save to the specified path

Parameters

  in_filename | the file to convert to XOD
  out_filename | the path to the XOD file to create

See Also
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToXod | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_filename,
|  | const XODOutputOptions & | options
| ) |  |
| static

Convert the input file to XOD format and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to XOD
  out_filename | the path to the XOD file to create
  options | the conversion options

See Also
  XODOutputOptions
  ToPdf()

static void pdftron::PDF::Convert::ToXod | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | out_filename
| ) |  |
| static

Convert the input file to XOD format and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to XOD
  out_filename | the path to the XOD file to create

See Also
  ToPdf()

static Filters::Filter pdftron::PDF::Convert::ToXod | ( | const UString & | in_filename,
|  | const XODOutputOptions & | options
| ) |  |
| static

Generate a stream that incrementally converts the input file to XOD format.

Parameters

  in_filename | the file to convert to XOD
  options | the conversion options

Returns
  A filter from which the file can be read incrementally.

See Also
  XODOutputOptions
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static Filters::Filter pdftron::PDF::Convert::ToXod | ( | const UString & | in_filename | ) |
| static

Generate a stream that incrementally converts the input file to XOD format.

Parameters

  in_filename | the file to convert to XOD

Returns
  A filter from which the file can be read incrementally.

See Also
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static Filters::Filter pdftron::PDF::Convert::ToXod | ( | PDFDoc & | in_pdfdoc,
|  | const XODOutputOptions & | options
| ) |  |
| static

Generate a stream that incrementally converts the input file to XOD format.

Parameters

  in_pdfdoc | the PDFDoc to convert to XOD
  options | the conversion options

Returns
  A filter from which the file can be read incrementally.

See Also
  XODOutputOptions
  ToPdf()

static Filters::Filter pdftron::PDF::Convert::ToXod | ( | PDFDoc & | in_pdfdoc | ) |
| static

Generate a stream that incrementally converts the input file to XOD format.

Parameters

  in_pdfdoc | the PDFDoc to convert to XOD

Returns
  A filter from which the file can be read incrementally.

See Also
  ToPdf()

static ConversionMonitor pdftron::PDF::Convert::ToXodWithMonitor | ( | PDFDoc & | in_pdfdoc,
|  | const XODOutputOptions & | options
| ) |  |
| static

static ConversionMonitor pdftron::PDF::Convert::ToXodWithMonitor | ( | PDFDoc & | in_pdfdoc | ) |
| static

static void pdftron::PDF::Convert::ToXps | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | const XPSOutputOptions & | options
| ) |  |
| static

Convert the PDFDoc to XPS and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to XPS
  in_filename | the path to the document to create
  options | the conversion options

See Also
  XPSOutputOptions

static void pdftron::PDF::Convert::ToXps | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename
| ) |  |
| static

Convert the PDFDoc to XPS and save to the specified path

Parameters

  in_pdfdoc | the PDFDoc to convert to XPS
  in_filename | the path to the document to create

static void pdftron::PDF::Convert::ToXps | ( | const UString & | in_inputFilename,
|  | const UString & | in_outputFilename,
|  | const XPSOutputOptions & | options
| ) |  |
| static

Convert the input file to XPS format and save to the specified path

Parameters

  in_inputFilename | the file to convert to XPS
  in_outputFilename | the path to the XPS file to create
  options | the conversion options

See Also
  XPSOutputOptions
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::ToXps | ( | const UString & | in_inputFilename,
|  | const UString & | in_outputFilename
| ) |  |
| static

Convert the input file to XPS format and save to the specified path

Parameters

  in_inputFilename | the file to convert to XPS
  in_outputFilename | the path to the XPS file to create

See Also
  ToPdf()

Note
  Requires the Convert::Printer class for all file formats that ToPdf also requires.

static void pdftron::PDF::Convert::WordToPDF | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | WordToPDFOptions * | options
| ) |  |
| static

Convert the a Word document (in .docx format) to pdf and append to the specified PDF document. This conversion is performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_filename | the path to the source document. The source must be in .docx format.
  options | the conversion options

Exceptions

  PDFNetException |

See Also
  WordToPDFOptions
  WordToPdfConversion() if you would like more control over the conversion process

static void pdftron::PDF::Convert::WordToPDF | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter | in_stream,
|  | WordToPDFOptions * | options
| ) |  |
| static

Convert the a Word document (in .docx format) to pdf and append to the specified PDF document. This conversion is performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_stream | the source document data. The source must be in .docx format.
  options | the conversion options

Exceptions

  PDFNetException |

See Also
  WordToPDFOptions
  WordToPdfConversion() if you would like more control over the conversion process

static DocumentConversion pdftron::PDF::Convert::WordToPDFConversion | ( | PDFDoc & | in_pdfdoc,
|  | const UString & | in_filename,
|  | WordToPDFOptions * | options
| ) |  |
| static

Create a DocumentConversion object suitable for converting a Word document (in .docx format) to pdf and appending to the specified PDF document. This conversion will be performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

This method allows for more control over the conversion process than the single call WordToPDF() interface. This method does not perform any conversion logic and can be expected to return quickly. To do the actual conversion, use the returned DocumentConversion object.

See Also
  DocumentConversion

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_filename | the path to the source document. The source must be in .docx format.
  options | the conversion options

Returns
  A DocumentConversion object which encapsulates this particular conversion.

See Also
  WordToPDFOptions

static DocumentConversion pdftron::PDF::Convert::WordToPDFConversion | ( | PDFDoc & | in_pdfdoc,
|  | Filters::Filter | in_stream,
|  | WordToPDFOptions * | options
| ) |  |
| static

Create a DocumentConversion object suitable for converting a Word document (in .docx format) to pdf and appending to the specified PDF document. This conversion will be performed entirely within PDFNet, and does not rely on Word interop or any other external functionality.

This method allows for more control over the conversion process than the single call WordToPDF() interface. This method does not perform any conversion logic and can be expected to return quickly. To do the actual conversion, use the returned DocumentConversion object.

See Also
  DocumentConversion

Note
  Font requirements: on some systems you may need to specify extra font resources to aid in conversion. Please see http://www.pdftron.com/kb_fonts_and_builtin_office_conversion

Parameters

  in_pdfdoc | the conversion result will be appended to this pdf.
  in_stream | the source document data. The source must be in .docx format.
  options | the conversion options

Returns
  A DocumentConversion object which encapsulates this particular conversion.

See Also
  WordToPDFOptions

The documentation for this class was generated from the following file:

- PDF/Convert.h